Frequently Asked Questions

What are the requirements for my iOS device?

Your iOS device must have iOS 5.0 or later. The app is optimized for iPhone 5.